Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361856 - language support stated in kickstart file 'lang' option is not installed
Summary: language support stated in kickstart file 'lang' option is not installed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 24
Hardware: i386
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 09:38 UTC by Frantisek Hanzlik
Modified: 2017-08-08 16:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:04:16 UTC


Attachments (Terms of Use)

Description Frantisek Hanzlik 2016-07-31 09:38:58 UTC
Description of problem:
I tried to install F24 using kickstart and local installation repos (fedora+both rpmfusion, + their updates, NFS access). My kickstart file contains:
"lang cs_CZ.UTF-8 --addsupport=en_US.UTF-8"
option.
After a successful installation and machine reboot, there is not installed 
language support. Or maybe rather incompletely installed: '/etc/locale.conf'
defines 'LANG="cs_CZ.UTF-8"', grub2.cfg defines 'LANG="cs_CZ.UTF-8"' on kernel
command line, and installed are rpm packages langpacks-cs, man-pages-cs.
But 'dnf langinfo cs' display that there should be installed also packages:
# dnf langinfo cs
Language-Id=cs
  aspell-cs
  autocorr-cs
  calligra-l10n-cs
  eclipse-nls-cs
  gcompris-sound-cs
  gnome-getting-started-docs-cs
  hunspell-cs
  hyphen-cs
  kde-i18n-Czech
  kde-l10n-cs
  libreoffice-langpack-cs
  man-pages-cs
  mythes-cs
  qt5-qttranslations
  stardict-dic-cs_CZ
  tesseract-langpack-ces
  tkgate-cs

Moreover, what is weird and wrong, in system is not installed package
 'glibc-langpack-cs' - and this significant package isn't listed in above dnf command (maybe also dnf bug?)!

Version-Release number of selected component (if applicable):
anaconda 24.13.7-1
dnf 
(both from 'Fedora-Everything-netinst-i386-24-1.2.iso')



Additional info:
It seems, according to Fedora 24 Installation Guide, that anaconda kickstart option 'lang' has slightly different syntax, and there now perhaps should be
"lang cs_CZ --addsupport=en_US" (without ".UTF-8" suffix) and I not know, when anaconda-24.13.7-1 is backward compatible with older (my) syntax.

But, when it is my mistake, anaconda should display/log error message about it
(and not copy this option unchanged to "/root/anaconda-ks.cfg")

Comment 1 Parag Nemade 2016-07-31 11:33:02 UTC
When you have "updates" repository enabled and you have already Fedora installed or you are installing it, glibc-langpack packages are not getting installed is a known bug. But if you have disabled "updates" then you should get glibc langpack package.

Please note "langinfo" command is not available now from F25. See https://fedoraproject.org/wiki/QA:Testcase_langpacks_packages

Comment 2 Fedora End Of Life 2017-07-25 22:10:04 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-08-08 16:04:16 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.